*,
table,
td,
tr,
th,
li,
ul {
    margin: 0;
    padding: 0;
}
table,
td {
    border: 1px solid #333;
}
thead,
tfoot {
    background-color: #333;
    color: #fff;
}
.flex {
    display: flex;
}
.flexV {
    flex-direction: column;
}
.flexC {
    justify-content: center;
}
.flexW {
    flex-wrap: wrap;
}
.flexS {
    justify-content: start;
}
.flexCV {
    align-items: center;
}
.flexE {
    justify-content: flex-end;
}
.flexA {
    justify-content: space-around;
}
.flexB {
    justify-content: space-between;
}
body {
    background-color: #dcd1b1;
    font-size: 14px;
}
h1 {
    color: white;
    font-size: 50px;
}
h2 {
    font-size: 1.5em;
}
h3 {
    margin: 0;
    padding: 0;
}
a {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
a:link {
    color: black;
    text-decoration: none;
}
a:active {
    color: black;
    text-decoration: none;
}
.bgBlanc{
    background-color: white;
}
.bgGris{
    background-color: grey;
}
.bgGrisC{
    background-color: #f1f1f1;
}
.box {
    max-width: 800px;
    margin: 0 auto;
}
button {
    padding: 15px;
    margin: 10px 0;
}
.btn {
    /* background-color: #efefef;
    min-width: 100px;
    /* top: 5px;
    right: 5px; */
    /* margin: 5px;
    padding: 15px;
    border-radius: 12px;
    border: 2px solid #333333; */
    background-color: #efefef;
    border-radius: 12px;
    border: 2px solid #333333;
    display: inline-block;
    cursor: pointer;
    color: #000;
    font-size: 0.9em;
    font-weight: bold;
    font-family: "Roboto";
    padding: 0.9em 2.5em;
    text-decoration: none;
    margin: 0 0 2em 0;
}
.btnValide {
    /* background: linear-gradient(to bottom, #c0c0c0 5%, #ebc220 100%); */
    background-color: #c0c0c0;
    border-radius: 12px;
    border: 2px solid #d9d9d9;
    display: inline-block;
    cursor: pointer;
    color: #333333;
    font-size: 0.9em;
    font-weight: bold;
    font-family: "Roboto";
    padding: 0.9em 2.5em;
    text-decoration: none;
    margin: 0 0 2em 0;
}
li,
ul {
    list-style-type: none;
}
main {
    width: 98%;
    border: #993333 solid 0.2em;
    margin: 0 auto;
    background-color: burlywood;
}
section {
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    margin: 1.2em;
    min-height: 30em;
}
hgroup {
    margin: 1.5em;
}
.ofAuto {
    overflow: auto;
}
.marg075e {
    margin: 0.75em;
}
.padd075e {
    padding: 0.75em;
}
.w3e2 {
    width: 3.2em;
    /* 51.2 px */
}
.w5e {
    width: 5em;
    /* 80 px */
}
.w6e9 {
    width: 6.9em;
    /* 110.4 px */
}
.w100 {
    width: 100%;
}
.w110 {
    width: 110px;
}
.w9e4 {
    width: 9.4em;
    /* 150.4 px */
}
.w10e {
    width: 10em;
    /* 160 px */
}
.w170 {
    width: 170px;
}
.w12e5 {
    width: 12.5em;
    /* 200 px */
}
.w15e {
    width: 15em;
    /* 240 px */
}
.w20e {
    width: 20em;
    /* 320 px */
}
.w24e {
    width: 24em;
    /* 336 px */
}
.w30e {
    width: 30em;
    /* 560 px */
}
.w35e {
    width: 35em;
    /* 560 px */
}
.w50e {
    width: 50em;
    /* 800 px */
}
.bold {
    font-weight: bold;
}
.tac {
    text-align: center;
}
.tag {
    text-align: left;
}
.tad {
    text-align: right;
}
.fw700 {
    font-weight: 700;
}
aside {
    border: 1px #993333 solid;
}
.bor1Rouge {
    border: 1px #993333 solid;
}
.bor2Rouge {
    border: 2px #993333 solid;
}
.sMenu {
    border: 1px #993333 solid;
    background-color: #ebc220;
    margin: 0.75em;
    padding: 20px;
    display: block;
    font-weight: bold;
    min-width: 160px;
}
/* Creation Commercial */
#creationCom div {
    margin: 0.5em;
    display: flex;
}
form#creationCom div label {
    /* display: block; */
    width: 10em;
}
#creationCom div button {
    margin: auto;
}
/* Creation Client */
#formNewClient span {
    display: inline-flex;
    width: 110px;
}
#formNewClient {
    text-align: left;
}
/* Liste Facture  */
.listeFacture {
    margin: 0.5em;
    padding-bottom: 7px;
    justify-content: space-between;
}
#creaReleve {
    width: 90%;
    max-width: 70em;
}
.ligneReleve {
    padding: 10px 0;
    border-bottom: 1px solid #808080;
}
.bonSav {
    width: 800px;
    margin: 0 auto 50px auto;
    background-color: white;
    padding: 20px;
    text-align: left;
    font-size: 20px;
}
.bonSav>div {
    margin-bottom: 20px;
}
.cadreRouge02 {
    min-width: 320px;
    margin: 1em 0.5em;
    padding: 1em;
    border: #993333 solid 0.2em;
}
.cadreRouge01 {
    margin: 0.2em 0.2em;
    padding: 0.5em;
    border: #993333 solid 0.1em;
}
.cacher {
    display:none;
}
.infosProduit .list li,
.infosProduit .list ul {
    list-style-type: disc;
    padding-left: 2em;
}
/* Styles pour les animations */
.fade-in {
    opacity: 0;
    animation: fadeIn 2s forwards;
}

.fade-out {
    animation: fadeOut 2s forwards;
}
@keyframes fadeIn {
    to {
        opacity: 1;
    }
}
@keyframes fadeOut {
    to {
        opacity: 0;
    }
}
.clignoter {
    animation: clignoter 1s infinite;
}
@keyframes clignoter {
    0%, 50%, 100% {
        opacity: 0;
    }
    25%, 75% {
        opacity: 1;
    }
}
.btnA {
    border:1px solid black;
    box-shadow:2px 2px 2px black;
    display: inline-block;
    width: 15em;
    height: 5em;
    text-align: center;
    line-height: 5em;
    background-color: #ebc220;
    text-decoration: none;
    font-weight: 700;
    color: #000;
}
/* impression facture */
.addClient {
    width: 370px;
}
.infos {
    display: flex;
    justify-content: center;
    flex-flow: wrap;
}
.infos input[type="text"] {
    font-size: 0.8em;
}
.infos select option {
    font-size: 0.8em;
}
.infos .tal {
    text-align: end;
    margin: 3px;
}
.infos .tal:nth-child(2n) {
    text-align: end;
    background-color: #FFE580;
    margin-left: 3px;
}
.infos .tal div:first-of-type {
    margin: 3px;
    font-weight: bold;
}
.infos .tal div:last-of-type {
    text-align: center;
    width: 15em;
    margin: 3px;
    display: flex;
    justify-content: center;
}
